## org.hibernate.type.descriptor.java
Class ClassTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Class>
          org.hibernate.type.descriptor.java.ClassTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Class>

    public class ClassTypeDescriptor

extends AbstractTypeDescriptor<Class>

TODO : javadoc

See Also:
  Serialized Form

Field Summary
`static ClassTypeDescriptor` `INSTANCE`

Constructor Summary
`ClassTypeDescriptor()`

Method Summary
`Class` `fromString(String string)`
`String` `toString(Class value)`

`

`<X> X`

`

`unwrap(Class value, Class<X> type, WrapperOptions options)`
Unwrap an instance of our handled Java type into the requested type.

`

`<X> Class`

`

`wrap(X value, WrapperOptions options)`
Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`areEqual, extractHashCode, extractLoggableRepresentation, getComparator, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ClassTypeDescriptor INSTANCE

Constructor Detail

### ClassTypeDescriptor

    public ClassTypeDescriptor()

Method Detail

### toString

    public String toString(Class value)

### fromString

    public Class fromString(String string)

### unwrap

    public <X> X unwrap(Class value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Class wrap(X value,
                          WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.